 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: OneAccessConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.sso.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;

 /**
  * <Function Description><br>
  * <SsoConfig>
  *
  * @author fr.open
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-Sso_Group")
 public class SsoConfig extends DefaultConfiguration {
     public static final String PLUGIN_ID = "com.fr.plugin.sso.auth";

     private static volatile SsoConfig config = null;

     @Focus(id = PLUGIN_ID, text = "Plugin-Sso", source = Original.PLUGIN)
     public static SsoConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(SsoConfig.class);
         }
         return config;
     }

     @Identifier(value = "appId", name = "Plugin-Sso_Config_AppId", description = "Plugin-Sso_Config_AppId_Description", status = Status.SHOW)
     private Conf<String> appId = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "appKey", name = "Plugin-Sso_Config_AppKey", description = "Plugin-Sso_Config_AppKey_Description", status = Status.SHOW)
     private Conf<String> appKey = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "tokenUrl", name = "Plugin-Sso_Config_TokenUrl", description = "Plugin-Sso_Config_TokenUrl_Description", status = Status.SHOW)
     private Conf<String> tokenUrl = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "userInfoUrl", name = "Plugin-Sso_Config_UserInfoUrl", description = "Plugin-Sso_Config_UserInfoUrl_Description", status = Status.SHOW)
     private Conf<String> userInfoUrl = Holders.simple(StringKit.EMPTY);
//     @Identifier(value = "signOutUrl", name = "Plugin-Sso_Config_SignOutUrl", description = "Plugin-Sso_Config_SignOutUrl_Description", status = Status.SHOW)
//     private Conf<String> signOutUrl = Holders.simple(StringKit.EMPTY);

     public String getAppId() {
         return appId.get();
     }

     public void setAppId(String appId) {
         this.appId.set(appId);
     }

     public String getAppKey() {
         return appKey.get();
     }

     public void setAppKey(String appKey) {
         this.appKey.set(appKey);
     }

     public String getTokenUrl() {
         return tokenUrl.get();
     }

     public void setTokenUrl(String tokenUrl) {
         this.tokenUrl.set(tokenUrl);
     }

     public String getUserInfoUrl() {
         return userInfoUrl.get();
     }

     public void setUserInfoUrl(String userInfoUrl) {
         this.userInfoUrl.set(userInfoUrl);
     }

//     public String getSignOutUrl() {
//         return signOutUrl.get();
//     }
//
//     public void setSignOutUrl(String signOutUrl) {
//         this.signOutUrl.set(signOutUrl);
//     }
 }